Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006321OCamlOCaml standard librarypublic2014-02-05 20:522015-12-11 18:46
Reporterjfc 
Assigned To 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.03.0+devFixed in Version4.03.0+dev 
Summary0006321: Infinity vs. NaN in hypot
DescriptionThe ocaml runtime and Unix math runtime return different results for hypot(nan, infinity).

On Unix (Linux and OpenBSD), hypot(infinity, nan) returns infinity. The manual says this is as designed.

The ocaml runtime, when HAS_C99_FLOAT_OPS is not defined, returns nan.

I don't think this is important, but I thought I should point out the inconsistency.
TagsNo tags attached.
Attached Filesc file icon hypot.c [^] (651 bytes) 2014-02-05 20:52 [Show Content]

- Relationships

-  Notes
(0015135)
xleroy (administrator)
2015-12-11 18:46

Well spotted, thanks. Fixed in commit [trunk 86d4023], will be part of release 4.03.

- Issue History
Date Modified Username Field Change
2014-02-05 20:52 jfc New Issue
2014-02-05 20:52 jfc File Added: hypot.c
2014-07-16 11:13 doligez Status new => acknowledged
2014-07-16 11:13 doligez Target Version => 4.03.0+dev
2015-12-11 18:46 xleroy Note Added: 0015135
2015-12-11 18:46 xleroy Status acknowledged => resolved
2015-12-11 18:46 xleroy Resolution open => fixed
2015-12-11 18:46 xleroy Fixed in Version => 4.03.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker